=== debian/changelog ===
grive2 (0.5+git20180819-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add alternative B-D for libgcrypt20-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Jul 2019 13:57:52 -0700

grive2 (0.5+git20180819-1~mx17+1) mx; urgency=medium

  * New pull from git.
  * Fix up debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Dec 2018 16:07:20 -0800

grive2 (0.5+git20160125-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump to debhelper 9 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Dec 2017 12:29:07 -0800

grive2 (0.5+git20160125-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 02 Feb 2016 15:51:58 -0800

grive2 (0.5-1+git20160125~webupd8~trusty0) trusty; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Nov 2015 12:44:21 +0200

grive2 (0.4.1-1+git20151111~webupd8~precise0) precise; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Nov 2015 12:44:21 +0200

grive2 (0.4.1-1+git20151110~webupd8~wily0) wily; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Tue, 10 Nov 2015 12:44:21 +0200

grive2 (0.4.1-1+git20151103~webupd8~precise0) precise; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Thu, 08 Oct 2015 11:50:55 +0200

grive2 (0.4.1-1+git20151008~webupd8~wily0) wily; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Thu, 08 Oct 2015 11:50:55 +0200

grive2 (0.4.1-1+git20151007~webupd8~wily0) wily; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Wed, 07 Oct 2015 13:46:29 +0200

grive2 (0.4.1-1+git20151001~webupd8~precise0) precise; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Thu, 01 Oct 2015 12:54:44 +0200

grive2 (0.4.0-1+git20150928~webupd8~wily1) wily; urgency=medium
 
  * new git pull
  * build-depend on libboost-regex-dev
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Mon, 28 Sep 2015 11:36:19 +0200

grive2 (0.4.0-1+git20150810~webupd8~wily0) wily; urgency=medium
 
  * upload for Wily
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Sat, 04 Jul 2015 12:26:14 +0200

grive2 (0.4.0-1+git20150810~webupd8~vivid0) vivid; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Sat, 04 Jul 2015 12:26:14 +0200

grive2 (0.4.0-1+git20150629~webupd8~vivid0) vivid; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Mon, 29 Jun 2015 12:27:21 +0200

grive2 (0.4.0-1~webupd8~precise3) precise; urgency=medium
 
  * Initial packaging (based on grive)
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Mon, 25 May 2015 15:31:24 +0200
