## grive2 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include(GNUInstallDirs)
 
 # Grive version. remember to update it for every new release!
-set( GRIVE_VERSION "0.5.1-dev" )
+set( GRIVE_VERSION "0.5.1" )
 
 # common compile options
 add_definitions( -DVERSION="${GRIVE_VERSION}" )
