=== debian/changelog ===
grive2 (0.5.1-1~mx19+1) mx; urgency=medium

  * Disable binutils-2.34.patch for Buster build.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Oct 2022 13:39:59 -0700

grive2 (0.5.1-1~mx21+1) mx; urgency=medium

  * Import 0.5.1 release.
  * Bump to debhelper-compat (= 12) in d/control.
  * Add binutils-2.34.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Oct 2022 13:01:38 -0700
