=== debian/changelog ===
grive2 (0.5.3-0.1~mx23) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Apr 2023 16:03:03 -0700

grive2 (0.5.3-0~mx21) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 17 Jan 2023 00:06:02 -0500
