=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
+XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+# XSBC-Original-Maintainer: Vitaliy Filippov <vitalif@mail.ru>
 Build-Depends: binutils-dev,
                cmake,
                debhelper-compat (= 12),
@@ -17,7 +18,7 @@
                libyajl-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: https://yourcmc.ru/wiki/Grive2
 
 Package: grive
